// transparent_cutout.fs
// Copyright 2016 Concrete Software, Inc.
//
// This shader is used for doing transparent cutouts.

uniform sampler2D texture;
varying mediump vec2 var_TexCoord;

void main()
{
    lowp vec4 color = texture2D(texture, var_TexCoord);
    if (color.a < 0.5)
        discard;
    gl_FragColor = color;
}