// transparent_cutout.vs
// Copyright 2016 Concrete Software, Inc.
//
// This shader is used for doing transparent cutouts.

uniform mat4 cs_ModelViewProjectionMatrix;

attribute vec4 cs_Vertex;
attribute vec2 cs_MultiTexCoord0;

varying mediump vec2 var_TexCoord;

void main()
{
    gl_Position = cs_ModelViewProjectionMatrix * cs_Vertex;
    var_TexCoord = cs_MultiTexCoord0;
}