// Copyright 2016 Concrete Software. All rights reserved.

uniform sampler2D texture;
uniform mediump float pba_Time;

varying mediump vec2 var_TexCoord;

#define M_PI 3.1415926535897932384626433832795

void main()
{
    mediump vec2 textureCoordinates = var_TexCoord;
    textureCoordinates.x += pba_Time;
    mediump float alpha = texture2D(texture, textureCoordinates).r;
    gl_FragColor = vec4(0.45882353 * alpha, 0.63529412 * alpha + (sin(pba_Time * M_PI * 16. + var_TexCoord.y * 16.) + 1.) * 0.1823529, 0.88235294 * alpha, alpha);
}
