// Shader for an old-timey look on the hall of fame lane
// Copyright 2017 Concrete Software. All rights reserved.

uniform mat4 cs_ModelViewProjectionMatrix;
uniform mat4 pba_TextureMatrix;

attribute vec4 cs_Vertex;
attribute vec2 cs_MultiTexCoord0;

varying mediump vec2 var_TexCoord;

void main()
{
    gl_Position =  cs_ModelViewProjectionMatrix * cs_Vertex;
    var_TexCoord = (pba_TextureMatrix * vec4(cs_MultiTexCoord0,0.0,1.0)).xy;
}
